import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import styleImport, { VantResolve } from 'vite-plugin-style-import';

const path = require('path');

// https://vitejs.dev/config/
export default defineConfig({
  server: {
    proxy: {
      '/api': {
        target: 'http://192.168.89.147:9000',
        changeOrigin: true,//允许跨域允许的是host 不是全部的路径 path前面不一样就是跨域
        headers: {
          'origin': 'http://192.168.89.147:9000',
          'referer': 'http://192.168.89.147:9000'
        }
      }
    }
  },
  resolve: {
    alias: {
      '@': path.resolve('./src'), // 默认已经配置了
    }
  },
  plugins: [
    vue(),
    styleImport({
      resolves: [VantResolve()],
    }),
  ],
  base:'./'//https://vitejs.cn/config/#base
})
